<?xml version="1.0" encoding="ISO-8859-1"?>
<!-- $Id: html_bin.xsl,v 1.2 2004/03/04 16:19:14 ppierre Exp $ -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="html" encoding="ISO-8859-1" indent="no"/>

  <xsl:variable name="img1_pre">Images/</xsl:variable>
  <xsl:variable name="img1_suf">.png</xsl:variable>
  <xsl:variable name="img1_sufz">z.png</xsl:variable>
  <xsl:variable name="imgm_pre">Images/</xsl:variable>
  <xsl:variable name="imgm_suf">.png</xsl:variable>
  <xsl:variable name="zoom_pre">zoom:</xsl:variable>
  <xsl:variable name="zoom_suf"></xsl:variable>
  <xsl:variable name="anim_pre">anim:</xsl:variable>
  <xsl:variable name="anim_suf"></xsl:variable>
  <xsl:variable name="note_pre">note:</xsl:variable>
  <xsl:variable name="note_suf"></xsl:variable>
  <xsl:variable name="annex_pre">annex:</xsl:variable>
  <xsl:variable name="annex_suf"></xsl:variable>

  <xsl:variable name="title1_color">#FF9933</xsl:variable>
  <xsl:variable name="title2_color">#000000</xsl:variable>
  <xsl:variable name="title3_color">#FF9933</xsl:variable>
  <xsl:variable name="title4_color">#000000</xsl:variable>
  <xsl:variable name="titleblock0_color">#000000</xsl:variable>
  <xsl:variable name="titleblock1_color">#FF9933</xsl:variable>
  <xsl:variable name="titleblock2_color">#000000</xsl:variable>
  <xsl:variable name="block3_color">#9966CC</xsl:variable>
  <xsl:variable name="block4_color">#9966CC</xsl:variable>
  <xsl:variable name="block5_color">#000000</xsl:variable>
  <xsl:variable name="block5_face">courier</xsl:variable>

  <!-- 
       ===================================================
       Rgle principale 
       =================================================== 
  -->
  <xsl:template match="imcdoc">
    <xsl:if test="not($mode)">
      <xsl:apply-templates select="$xpath"/>
    </xsl:if>
    <xsl:if test="$mode='multidoc'">
      <xsl:apply-templates select="$xpath" mode="multidoc"/>
    </xsl:if>
  </xsl:template>

  <!--
       ===================================================
       Page
       =================================================== 
  -->
  <xsl:template match="page">
    <qt>
      <center>
        <br/><br/>
        <table width="90%" border="0">
          <tr><td>
            <xsl:if test="title">
              <p><b><font size="+2"><xsl:apply-templates select="title"/></font></b></p>
            </xsl:if>
            <xsl:apply-templates select="block"/>
          </td></tr>
        </table>
      </center>
    </qt>
  </xsl:template>

  <!--
       ===================================================
       Annex
       =================================================== 
  -->
  <xsl:template match="annex">
    <qt>
      <center>
        <br/><br/>
        <table width="90%" border="0">
          <tr><td>
            <xsl:if test="title">
              <p><b><font size="+2"><xsl:apply-templates select="title"/></font></b></p>
            </xsl:if>
            <xsl:apply-templates select="block"/>
          </td></tr>
        </table>
      </center>
    </qt>
  </xsl:template>

  <!--
       ===================================================
       Image mode "multidoc"
       =================================================== 
  -->
  <xsl:template match="image" mode="multidoc">
    <qt type="detail">
      <center>
        <table border="0" cellpadding="5">
          <tr>
            <td align="center">
              <table border="0" cellpadding="0" cellspacing="0">
                <tr><td align="center"><img src="{$img1_pre}{@id}{$img1_sufz}"/></td></tr>
                <xsl:if test="credit">
                  <tr><td align="right"><font size="-2"><xsl:apply-templates select="credit"/></font></td></tr>
                </xsl:if>
              </table>
            </td>
          </tr>
          <tr>
            <td align="center">
              <xsl:if test="title"><b><xsl:apply-templates select="title"/></b><br/></xsl:if>
              <xsl:apply-templates select="parag"/>
            </td>
          </tr>  
        </table>
      </center>
    </qt>
  </xsl:template>

  <!--
       ===================================================
       Note mode "multidoc"
       =================================================== 
  -->
  <xsl:template match="note" mode="multidoc">
    <xsl:apply-templates/>
  </xsl:template>

 <!--
       ===================================================
       Rgles communes
       =================================================== 
  -->
  <xsl:include href="../Default/html_common.xsl"/>
  <xsl:include href="../Default/html_local.xsl"/>

</xsl:stylesheet>
